/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: s_fcth.h,v 1.2 1997/09/25 16:46:38 ae59 Exp $ */
/*
$Log: s_fcth.h,v $
 * Revision 1.2  1997/09/25  16:46:38  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:24:38  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : s_fcth.h                              */
/*                                                              */
/*      Description     : function prototypes                   */
/*                                                              */
/*      Date            : 1993-08-26                            */
/*      1993-08-26 : use _PROTOTYPe               =b=           */
/*                   new function s_whex, s_rhex  =b=           */
/*      1993-01-18 : new function s_date          =b=           */
/*      1992-03-31 : comment on s_saas prototypes =b=           */
/*      1992-01-23 : s_saas prototypes                          */
/*      1990-12-03 : s_suba(),s_genv()                          */
/*      1990-11-20 : arg. of s_alen changed to pointer          */
/*      1990-10-30 : s_inxc                                     */
/*      1990-10-22 : s_int_, s_real, s_alen,s_cpos,s_spos       */
/*      1990-10-17 : s_ixch                                     */
/*      1990-10-15 : s_len_,s_slen,s_aimg,s_simg                */
/*      1990-10-10 : dynamic string routines                    */
/*      1990-07-31 : argument of s_alcp has type a_char **d     */
/*                   s_cons prototype                           */
/*      1990-07-24 : string/char replaced by a_char[]/a_char    */
/****************************************************************/

_PROTOTYPE( s_trng s_date, (s_trng fmt));
_PROTOTYPE( s_trng s_whex, (a_real s,a_char mode));
_PROTOTYPE( a_real s_rhex, (s_trng s));

_PROTOTYPE( a_VOID s_add, (s_etof res,s_etof s,s_etof t));
#ifdef LINT_ARGS
#if C_P_7
a_VOID s_cons(s_etof s,a_char *e_argc,...);
#else
a_VOID s_cons();
#endif
#else
a_VOID s_cons();
#endif
_PROTOTYPE( a_bool s_aaeq, (a_char s[],a_intg n,a_char t[],a_intg m));
_PROTOTYPE( a_bool s_aceq, (a_char s[],a_intg n,a_char t));
/* a_bool s_aseq, (a_char a[],a_intg n,s_trng s)); */
_PROTOTYPE( a_bool s_caeq, (a_char s,a_char t[],a_intg m));
_PROTOTYPE( a_bool s_eteq, (s_etof s,s_etof t));
_PROTOTYPE( a_bool s_etge, (s_etof s,s_etof t));
_PROTOTYPE( a_bool s_etgt, (s_etof s,s_etof t));
_PROTOTYPE( a_bool s_etin, (a_intg e,s_etof s));
_PROTOTYPE( a_bool s_etle, (s_etof s,s_etof t));
_PROTOTYPE( a_bool s_etlt, (s_etof s,s_etof t));
_PROTOTYPE( a_bool s_etne, (s_etof s,s_etof t));
_PROTOTYPE( a_bool s_aage, (a_char s[],a_intg n,a_char t[],a_intg m));
/* a_bool s_asge, (a_char a[],a_intg n,s_trng s)); */
_PROTOTYPE( a_bool s_acge, (a_char s[],a_intg n,a_char t));
_PROTOTYPE( a_bool s_cage, (a_char s,a_char t[],a_intg m));
_PROTOTYPE( a_bool s_aagt, (a_char s[],a_intg n,a_char t[],a_intg m));
_PROTOTYPE( a_bool s_acgt, (a_char s[],a_intg n,a_char t));
/* a_bool s_asgt, (a_char a[],a_intg n,s_trng s)); */
_PROTOTYPE( a_bool s_cagt, (a_char s,a_char t[],a_intg m));
_PROTOTYPE( a_VOID s_ins1, (s_etof s,a_intg e));
_PROTOTYPE( a_VOID s_ins2, (s_etof s,a_intg rs,a_intg re));
_PROTOTYPE( a_bool s_cain, (a_char s,a_char t[],a_intg m));
_PROTOTYPE( a_bool s_aain, (a_char s[],a_intg n,a_char t[],a_intg m));
_PROTOTYPE( a_bool s_aale, (a_char s[],a_intg n,a_char t[],a_intg m));
_PROTOTYPE( a_bool s_acle, (a_char s[],a_intg n,a_char t));
/* a_bool s_asle, (a_char a[],a_intg n,s_trng s)); */
_PROTOTYPE( a_bool s_cale, (a_char s,a_char t[],a_intg m));
_PROTOTYPE( a_bool s_aalt, (a_char s[],a_intg n,a_char t[],a_intg m));
_PROTOTYPE( a_bool s_aclt, (a_char s[],a_intg n,a_char t));
/* a_bool s_aslt, (a_char a[],a_intg n,s_trng s)); */
_PROTOTYPE( a_bool s_calt, (a_char s,a_char t[],a_intg m));
_PROTOTYPE( a_VOID s_mul , (s_etof res,s_etof s,s_etof t));
_PROTOTYPE( a_bool s_aane, (a_char s[],a_intg n,a_char t[],a_intg m));
_PROTOTYPE( a_bool s_acne, (a_char s[],a_intg n,a_char t));
/* a_bool s_asne, (a_char a[],a_intg n,s_trng s)); */
_PROTOTYPE( a_bool s_cane, (a_char s,a_char t[],a_intg m));
_PROTOTYPE( a_VOID s_sub , (s_etof res,s_etof s,s_etof t));
_PROTOTYPE( a_VOID s_zero, (s_etof s));
_PROTOTYPE( a_VOID s_aacc, (a_char s[],a_char t[],a_char u[]));
_PROTOTYPE( a_VOID s_accc, (a_char s[],a_char t[],a_char u));
_PROTOTYPE( a_VOID s_cacc, (a_char s[],a_char t,  a_char u[]));

_PROTOTYPE( a_char *s_aimg, (a_char str[],a_intg n,a_real s,a_intg TotalWidth,
               a_intg FracDigits,a_intg rnd));
_PROTOTYPE( void   s_asgn, (s_trng *d,s_trng s));
_PROTOTYPE( a_intg s_alen, (s_trng *s));
_PROTOTYPE( s_trng s_char, (a_char s));
_PROTOTYPE( s_trng s_conc, (s_trng d,s_trng s));
_PROTOTYPE( a_intg s_cpos, (a_char s,s_trng t));
_PROTOTYPE( void   s_free, (s_trng *d));
_PROTOTYPE( void   s_genv, (s_trng name,s_trng *value,a_bool *exists));
_PROTOTYPE( void   s_init, (s_trng *d,size_t size));
_PROTOTYPE( s_trng s_int_, (a_intg s,a_intg TotalWidth));
_PROTOTYPE( a_char *s_inxc, (s_trng s,a_intg i));
_PROTOTYPE( a_intg s_ixch, (a_intg i,size_t length));
_PROTOTYPE( a_intg s_len_, (s_trng d));
_PROTOTYPE( s_trng s_real, (a_real s,a_intg TotalWidth,a_intg FracDigits,a_intg rnd));
_PROTOTYPE( void   s_slen, (s_trng *d,a_intg n));
_PROTOTYPE( a_intg s_spos, (s_trng s,s_trng t));
_PROTOTYPE( s_trng s_stat, (a_char s[],a_intg n));
_PROTOTYPE( s_trng s_suba, (s_trng s,a_intg pos,a_intg end));
_PROTOTYPE( s_trng s_subs, (s_trng s,a_intg pos,a_intg len));
_PROTOTYPE( void   s_temp, (s_trng *d));
_PROTOTYPE( void   s_utmp, (s_trng *d));
_PROTOTYPE( void   s_vlcp, (s_trng *d));
/* a_bool s_saeq, (s_trng s,a_char a[],a_intg n));
   a_bool s_sage, (s_trng s,a_char a[],a_intg n));
   a_bool s_sagt, (s_trng s,a_char a[],a_intg n));
   a_bool s_sale, (s_trng s,a_char a[],a_intg n));
   a_bool s_salt, (s_trng s,a_char a[],a_intg n));
   a_bool s_sane, (s_trng s,a_char a[],a_intg n));
*/
_PROTOTYPE( a_bool s_sseq, (s_trng s,s_trng t));
_PROTOTYPE( a_bool s_ssge, (s_trng s,s_trng t));
_PROTOTYPE( a_bool s_ssgt, (s_trng s,s_trng t));
_PROTOTYPE( a_bool s_ssle, (s_trng s,s_trng t));
_PROTOTYPE( a_bool s_sslt, (s_trng s,s_trng t));
_PROTOTYPE( a_bool s_ssne, (s_trng s,s_trng t));
_PROTOTYPE( a_bool s_sceq, (s_trng s,a_char t));
_PROTOTYPE( a_bool s_scge, (s_trng s,a_char t));
_PROTOTYPE( a_bool s_scgt, (s_trng s,a_char t));
_PROTOTYPE( a_bool s_scle, (s_trng s,a_char t));
_PROTOTYPE( a_bool s_sclt, (s_trng s,a_char t));
_PROTOTYPE( a_bool s_scne, (s_trng s,a_char t));
_PROTOTYPE( a_bool s_cseq, (a_char s,s_trng t));
_PROTOTYPE( a_bool s_csge, (a_char s,s_trng t));
_PROTOTYPE( a_bool s_csgt, (a_char s,s_trng t));
_PROTOTYPE( a_bool s_csle, (a_char s,s_trng t));
_PROTOTYPE( a_bool s_cslt, (a_char s,s_trng t));
_PROTOTYPE( a_bool s_csne, (a_char s,s_trng t));
